package com.ruoyi.system.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.ruoyi.system.mapper.DiyCityMapper;
import com.ruoyi.system.domain.DiyCity;
import com.ruoyi.system.service.IDiyCityService;

/**
 * 自定义地区Service业务层处理
 * 
 * @author ruoyi
 * @date 2025-05-13
 */
@Service
public class DiyCityServiceImpl implements IDiyCityService 
{
    @Autowired
    private DiyCityMapper diyCityMapper;

    /**
     * 查询自定义地区
     * 
     * @param id 自定义地区主键
     * @return 自定义地区
     */
    @Override
    public DiyCity selectDiyCityById(Integer id)
    {
        return diyCityMapper.selectDiyCityById(id);
    }

    /**
     * 查询自定义地区列表
     * 
     * @param diyCity 自定义地区
     * @return 自定义地区
     */
    @Override
    public List<DiyCity> selectDiyCityList(DiyCity diyCity)
    {
        return diyCityMapper.selectDiyCityList(diyCity);
    }

    /**
     * 新增自定义地区
     * 
     * @param diyCity 自定义地区
     * @return 结果
     */
    @Override
    public int insertDiyCity(DiyCity diyCity)
    {
        return diyCityMapper.insertDiyCity(diyCity);
    }

    /**
     * 修改自定义地区
     * 
     * @param diyCity 自定义地区
     * @return 结果
     */
    @Override
    public int updateDiyCity(DiyCity diyCity)
    {
        return diyCityMapper.updateDiyCity(diyCity);
    }

    /**
     * 批量删除自定义地区
     * 
     * @param ids 需要删除的自定义地区主键
     * @return 结果
     */
    @Override
    public int deleteDiyCityByIds(Integer[] ids)
    {
        return diyCityMapper.deleteDiyCityByIds(ids);
    }

    /**
     * 删除自定义地区信息
     * 
     * @param id 自定义地区主键
     * @return 结果
     */
    @Override
    public int deleteDiyCityById(Integer id)
    {
        return diyCityMapper.deleteDiyCityById(id);
    }
}
